/*Toggle Switch*/
.toggle-switch {
	position: relative;
	width: 35px;
	height: 18px;
}
.toggle-switch label {
	position: absolute;
	width: 100%;
	height: 20px;
	border-radius: 50px;
	cursor: pointer;
	background-color: var(--mainColor);
	border: 1px solid var(--shadow02Color);
}
.toggle-switch input {
	position: absolute;
	display: none;
}
.toggle-switch .slider {
	position: absolute;
	width: 100%;
	height: 100%;
	border-radius: 50px;
	transition: 0.3s;
	left: 0;
}
.slider::before {
	content: "";
	position: absolute;
	top: 3px;
	left: 4px;
	width: 12px;
	height: 12px;
	border-radius: 50%;
	transition: 0.3s;
	box-shadow: inset 4px -2px 0px 0px var(--secondaryColor);
	background-color: var(--mainColor);
}
input:checked ~ .slider {
	background-color: var(--mainColor);
}
input:checked ~ .slider::before {
	transform: translateX(14px);
	box-shadow: none;
	background-color: var(--secondaryColor);
}
